cURL
curl --request POST \ --url https://api.example.com/user/document/{knowledge_id}/chunks/preview \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "chunk_size": 2, "chunk_overlap": 1, "max_chunks": 2, "chunk_strategy": "recursive", "chunking_mode": "general", "segment_separator": "<string>", "parent_chunk_size": 2, "parent_chunk_overlap": 1 } '
{ "items": [ { "chunk_index": 123, "text": "<string>", "char_count": 123, "approx_tokens": 123 } ], "stats": { "total_chunks": 123, "total_chars": 123, "approx_total_tokens": 123 } }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
x >= 1
x >= 0
recursive
token
semantic
general
parent_child
1 - 64
Successful Response
Show child attributes